package com.heyu.api.data.entity.device;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*工厂信息表
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("device_product_factory_info")
public class DeviceProductFactoryInfoEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.device.DeviceProductFactoryInfoEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                   // 
    public final static String is_delete = CLASS_NAME + "is_delete";                      // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                  // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                  // 修改时间
    public final static String name_ = CLASS_NAME + "name";                               // 工厂名称
    public final static String legal_person = CLASS_NAME + "legal_person";                // 法人
    public final static String legal_person_phone = CLASS_NAME + "legal_person_phone";    // 法人联系方式
    public final static String contacts_ = CLASS_NAME + "contacts";                       // 对接人
    public final static String contacts_phone = CLASS_NAME + "contacts_phone";            // 对接联系人电话
    public final static String country_ = CLASS_NAME + "country";                         // 国家
    public final static String province_ = CLASS_NAME + "province";                       // 省
    public final static String city_ = CLASS_NAME + "city";                               // 市
    public final static String county_ = CLASS_NAME + "county";                           // 县、区
    public final static String village_ = CLASS_NAME + "village";                         // 乡镇
    public final static String address_ = CLASS_NAME + "address";                         // 乡镇以下的具体地址
    public final static String factory_code = CLASS_NAME + "factory_code";                // 企业代号（自编）
    public final static String factory_grade = CLASS_NAME + "factory_grade";              // 企业等级（自评）
    public final static String remark_ = CLASS_NAME + "remark";                           // 备注说明
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //工厂名称
    private String name;
    //法人
    private String legalPerson;
    //法人联系方式
    private String legalPersonPhone;
    //对接人
    private String contacts;
    //对接联系人电话
    private String contactsPhone;
    //国家
    private String country;
    //省
    private String province;
    //市
    private String city;
    //县、区
    private String county;
    //乡镇
    private String village;
    //乡镇以下的具体地址
    private String address;
    //企业代号（自编）
    private String factoryCode;
    //企业等级（自评）
    private Integer factoryGrade;
    //备注说明
    private String remark;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 工厂名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 工厂名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 法人 
     * @return
     */
    public String getLegalPerson() {
        return legalPerson;
    }
    /**
     * 法人 
     * @param legalPerson
     */
    public void setLegalPerson(String legalPerson) {
        this.legalPerson = legalPerson;
    }

    /**
     * 法人联系方式 
     * @return
     */
    public String getLegalPersonPhone() {
        return legalPersonPhone;
    }
    /**
     * 法人联系方式 
     * @param legalPersonPhone
     */
    public void setLegalPersonPhone(String legalPersonPhone) {
        this.legalPersonPhone = legalPersonPhone;
    }

    /**
     * 对接人 
     * @return
     */
    public String getContacts() {
        return contacts;
    }
    /**
     * 对接人 
     * @param contacts
     */
    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    /**
     * 对接联系人电话 
     * @return
     */
    public String getContactsPhone() {
        return contactsPhone;
    }
    /**
     * 对接联系人电话 
     * @param contactsPhone
     */
    public void setContactsPhone(String contactsPhone) {
        this.contactsPhone = contactsPhone;
    }

    /**
     * 国家 
     * @return
     */
    public String getCountry() {
        return country;
    }
    /**
     * 国家 
     * @param country
     */
    public void setCountry(String country) {
        this.country = country;
    }

    /**
     * 省 
     * @return
     */
    public String getProvince() {
        return province;
    }
    /**
     * 省 
     * @param province
     */
    public void setProvince(String province) {
        this.province = province;
    }

    /**
     * 市 
     * @return
     */
    public String getCity() {
        return city;
    }
    /**
     * 市 
     * @param city
     */
    public void setCity(String city) {
        this.city = city;
    }

    /**
     * 县、区 
     * @return
     */
    public String getCounty() {
        return county;
    }
    /**
     * 县、区 
     * @param county
     */
    public void setCounty(String county) {
        this.county = county;
    }

    /**
     * 乡镇 
     * @return
     */
    public String getVillage() {
        return village;
    }
    /**
     * 乡镇 
     * @param village
     */
    public void setVillage(String village) {
        this.village = village;
    }

    /**
     * 乡镇以下的具体地址 
     * @return
     */
    public String getAddress() {
        return address;
    }
    /**
     * 乡镇以下的具体地址 
     * @param address
     */
    public void setAddress(String address) {
        this.address = address;
    }

    /**
     * 企业代号（自编） 
     * @return
     */
    public String getFactoryCode() {
        return factoryCode;
    }
    /**
     * 企业代号（自编） 
     * @param factoryCode
     */
    public void setFactoryCode(String factoryCode) {
        this.factoryCode = factoryCode;
    }

    /**
     * 企业等级（自评） 
     * @return
     */
    public Integer getFactoryGrade() {
        return factoryGrade;
    }
    /**
     * 企业等级（自评） 
     * @param factoryGrade
     */
    public void setFactoryGrade(Integer factoryGrade) {
        this.factoryGrade = factoryGrade;
    }

    /**
     * 备注说明 
     * @return
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 备注说明 
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "DeviceProductFactoryInfoEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",name=" + name +
                ",legalPerson=" + legalPerson +
                ",legalPersonPhone=" + legalPersonPhone +
                ",contacts=" + contacts +
                ",contactsPhone=" + contactsPhone +
                ",country=" + country +
                ",province=" + province +
                ",city=" + city +
                ",county=" + county +
                ",village=" + village +
                ",address=" + address +
                ",factoryCode=" + factoryCode +
                ",factoryGrade=" + factoryGrade +
                ",remark=" + remark +
                "}";
    }
}